/*
   Mouse interface by Raphal Quinet <quinet@montefiore.ulg.ac.be>

   You are allowed to use any parts of this code in another program, as
   long as you give credits to the authors in the documentation and in
   the program itself.  Read the file README.1ST for more information.

   This program comes with absolutely no warranty.

   MOUSE.C - Mouse driver routines.
*/

/* the includes */
#include "deu.h"

/* the global data */
Bool UseMouse;			/* is there a mouse driver? */

int ggi_mouse_x;
int ggi_mouse_y;
int ggi_mouse_buttons;

/*
   initialize the mouse driver
*/

void CheckMouseDriver()
{

      UseMouse = TRUE; 
/*      UseMouse = FALSE;  */
}



/*
   show the pointer
*/

void ShowMousePointer()
{
/*     DrawPointer(0); */
}


/*
   hide the pointer
*/

void HideMousePointer()
{
/*     ErasePointer(0); */
}



/*
   read pointer coordinates
*/

void GetMouseCoords(int *x, int *y, int *buttons)
{
	ggi_event ev;
	struct timeval t={0, 0};
	while(ggiEventPoll(vis, emPointer, &t))
	{
		ggiEventRead(vis, &ev, emPointer);
		switch(ev.any.type)
		{
			case evPtrButtonPress:
				ggi_mouse_buttons|=ev.pbutton.button;
				break;
			case evPtrButtonRelease:
				ggi_mouse_buttons^=ev.pbutton.button;
				break;
			case evPtrAbsolute:
				ggi_mouse_x=ev.pmove.x;
				ggi_mouse_y=ev.pmove.y;
				break;
			case evPtrRelative:
				ggi_mouse_x+=ev.pmove.x;
				ggi_mouse_y+=ev.pmove.y;
				break;
		}

	}
	*x=ggi_mouse_x;
	*y=ggi_mouse_y;
	*buttons=ggi_mouse_buttons;
}



/*
   change pointer coordinates

   (not that this will really do anything under ggi...)
*/

void SetMouseCoords( int x, int y)
{
	ggi_mouse_x=x;
	ggi_mouse_y=y; 
}



/*
   set horizontal and vertical limits (constrain pointer in a box)
*/

void SetMouseLimits( int x0, int y0, int x1, int y1)
{
 
}



/*
   reset horizontal and vertical limits
*/

void ResetMouseLimits()
{
 
}

/* end of file */
